Request EID for Android
This call requests EID from Android 13 or above devices.
These EIDs can be shared with the carrier to map EIDs to subscriptions and enable eSIM provisioning.
Required Role
See Authentication for complete details on ensuring that the credentials you use for basic authentication belong to a user with the necessary role for this API call.
Required Role |
|---|
Category: Device Management Role Description: Other device actions |
HTTP method
PUT
Request URI
api/v2/devices/requestEID
Request parameters
Parameter | Description | Sample Value |
|---|---|---|
adminDeviceSpaceId | Required Parameter Type: Query Data Type: Number Device space ID of the administrator. | 1 |
deviceUuids | Required Parameter Type: Request body Data Type: String The device UUIDs of the devices to request EID for | [ "926250cc-fdd9-4169-a3fd-b8e071e4f843", "de210405-d5b0-474d-a40d-edfc9745fd91" ], |
note | Parameter Type: Request body Data Type: String Note clarifying the EID request. | Pull EID for pixel. |
Response fields
Field | Description |
|---|---|
actionType | Describes the action type, in this case, REQUEST_EID_FOR_ANDROID. |
deviceResults | Indicates the outcome for the action per device. |
successful | Indicates success, true or false. |
Sample request and response
Request
curl --user : --header 'Content-Type: application/json' --request PUT 'https://[Ivanti EPMM]/api/v2/devices/requestEID?adminDeviceSpaceId=1' --data ' {"deviceUuids": ["926250cc-fdd9-4169-a3fd-b8e071e4f843", "de210405-d5b0-474d-a40d-edfc9745fd91"], "note": " Pull eids for pixel."}'
Response
{ "results": [ { "resultId": "114", "resultMessage": null, "records": [ "926250cc-fdd9-4169-a3fd-b8e071e4f843" ] } ], { "resultId": "111", "resultMessage": null, "records": [ "alex:Android:PDA - Action not supported for phone" ] } ], "resultCount": 2, "actionType": "REQUEST_EID_FOR_ANDROID", "deviceResults": { "926250cc-fdd9-4169-a3fd-b8e071e4f843": "Device Action Successful" "de210405-d5b0-474d-a40d-edfc9745fd91": "Device Action Unsupported" }, "successful": false }
